<?php
/** 
 * Default schedule array for CSV 2 POST plugin 
 * 
 * @package CSV 2 POST
 * @author Ryan Bayne   
 * @since 8.0.0
 */

// load in WordPress only
defined( 'ABSPATH' ) || die( 'No direct script access allowed!' );

$csv2post_schedule_array = array();
// history
$csv2post_schedule_array['history']['lastreturnreason'] = __( 'None', 'csv2post' );
$csv2post_schedule_array['history']['lasteventtime'] = time();
$csv2post_schedule_array['history']['lasteventtype'] = __( 'None', 'csv2post' );
$csv2post_schedule_array['history']['day_lastreset'] = time();
$csv2post_schedule_array['history']['hour_lastreset'] = time();
$csv2post_schedule_array['history']['hourcounter'] = 1;
$csv2post_schedule_array['history']['daycounter'] = 1;
$csv2post_schedule_array['history']['lasteventaction'] = __( 'None', 'csv2post' );
// times/days
$csv2post_schedule_array['days']['monday'] = true;
$csv2post_schedule_array['days']['tuesday'] = true;
$csv2post_schedule_array['days']['wednesday'] = true;
$csv2post_schedule_array['days']['thursday'] = true;
$csv2post_schedule_array['days']['friday'] = true;
$csv2post_schedule_array['days']['saturday'] = true;
$csv2post_schedule_array['days']['sunday'] = true;
// times/hours
$csv2post_schedule_array['hours'][0] = true;
$csv2post_schedule_array['hours'][1] = true;
$csv2post_schedule_array['hours'][2] = true;
$csv2post_schedule_array['hours'][3] = true;
$csv2post_schedule_array['hours'][4] = true;
$csv2post_schedule_array['hours'][5] = true;
$csv2post_schedule_array['hours'][6] = true;
$csv2post_schedule_array['hours'][7] = true;
$csv2post_schedule_array['hours'][8] = true;
$csv2post_schedule_array['hours'][9] = true;
$csv2post_schedule_array['hours'][10] = true;
$csv2post_schedule_array['hours'][11] = true;
$csv2post_schedule_array['hours'][12] = true;
$csv2post_schedule_array['hours'][13] = true;
$csv2post_schedule_array['hours'][14] = true;
$csv2post_schedule_array['hours'][15] = true;
$csv2post_schedule_array['hours'][16] = true;
$csv2post_schedule_array['hours'][17] = true;
$csv2post_schedule_array['hours'][18] = true;
$csv2post_schedule_array['hours'][19] = true;
$csv2post_schedule_array['hours'][20] = true;
$csv2post_schedule_array['hours'][21] = true;
$csv2post_schedule_array['hours'][22] = true;
$csv2post_schedule_array['hours'][23] = true;
// limits
$csv2post_schedule_array['limits']['hour'] = '1000';
$csv2post_schedule_array['limits']['day'] = '5000';
$csv2post_schedule_array['limits']['session'] = '300';

// event types (update event_action() if adding more eventtypes)
// deleteuserswaiting - this is the auto deletion of new users who have not yet activated their account 
$csv2post_schedule_array['eventtypes'] = array(
    'dataimport' => array( 'name' => __( 'Import New Data', 'csv2post' ), 
                           'switch' => 'enabled' ), 

    'dataupdate' => array( 'name' => __( 'Update Data', 'csv2post' ), 
                           'switch' => 'enabled' ), 

    'postcreation' => array( 'name' => __( 'Create Posts', 'csv2post' ), 
                             'switch' => 'enabled' ), 

    'postupdate' => array( 'name' => __( 'Update Posts', 'csv2post' ), 
                           'switch' => 'enabled' ), 

)    
?>