<?php         
/*
Plugin Name: CSV 2 POST
Version: 8.2.3
Plugin URI: http://www.webtechglobal.co.uk/csv-2-post
Description: CSV 2 POST data importer for WordPress by Ryan R. Bayne.
Author: WebTechGlobal
Author URI: http://www.webtechglobal.co.uk/
Last Updated: September 2015
Text Domain: csv2post
Domain Path: /languages

GPL v3 

This program is free software downloaded from WordPress.org: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. This means
it can be provided for the sole purpose of being developed further
and we do not promise it is ready for any one persons specific needs.
See the GNU General Public License for more details.

See <http://www.gnu.org/licenses/>.
*/           
  
// Prohibit direct script loading
defined( 'ABSPATH' ) || die( 'Direct script access is not allowed!' );

// exit early if CSV 2 POST doesn't have to be loaded
if ( ( 'wp-login.php' === basename( $_SERVER['SCRIPT_FILENAME'] ) ) // Login screen
    || ( defined( 'XMLRPC_REQUEST' ) && XMLRPC_REQUEST )
    || ( defined( 'DOING_CRON' ) && DOING_CRON ) ) {
    return;
}
              
// define constants                              
if(!defined( "WTG_CSV2POST_VERSION") ){define( "WTG_CSV2POST_VERSION", '8.2.1' );} 
if(!defined( "WTG_CSV2POST_TITLE") ){define( "WTG_CSV2POST_TITLE", 'CSV 2 POST' );} 
if(!defined( "WTG_CSV2POST__FILE__") ){define( "WTG_CSV2POST__FILE__", __FILE__);}
if(!defined( "WTG_CSV2POST_BASENAME") ){define( "WTG_CSV2POST_BASENAME",plugin_basename( WTG_CSV2POST__FILE__ ) );}
if(!defined( "WTG_CSV2POST_ABSPATH") ){define( "WTG_CSV2POST_ABSPATH", plugin_dir_path( __FILE__) );}//C:\AppServ\www\wordpress-testing\wtgplugintemplate\wp-content\plugins\wtgplugintemplate/  
if(!defined( "WTG_CSV2POST_PHPVERSIONMINIMUM") ){define( "WTG_CSV2POST_PHPVERSIONMINIMUM", '5.3.0' );}// The minimum php version that will allow the plugin to work                                
if(!defined( "WTG_CSV2POST_IMAGES_URL") ){define( "WTG_CSV2POST_IMAGES_URL",plugins_url( 'images/' , __FILE__ ) );}
 
 // define WebTechGlobal constants applicable to all projects...
if(!defined( "WEBTECHGLOBAL_FULLINTEGRATION") ){define( "WEBTECHGLOBAL_FULLINTEGRATION", false );}// change to true to force tables and files to be shared among WTG plugins automatically
if(!defined( "WEBTECHGLOBAL_FORUM" ) ){define( "WEBTECHGLOBAL_FORUM", 'http://forum.webtechglobal.co.uk/' );}
if(!defined( "WEBTECHGLOBAL_TWITTER" ) ){define( "WEBTECHGLOBAL_TWITTER", 'http://www.twitter.com/WebTechGlobal/' );}
if(!defined( "WEBTECHGLOBAL_FACEBOOK" ) ){define( "WEBTECHGLOBAL_FACEBOOK", 'https://www.facebook.com/WebTechGlobal1/' );}
if(!defined( "WEBTECHGLOBAL_REGISTER" ) ){define( "WEBTECHGLOBAL_REGISTER", 'http://www.webtechglobal.co.uk/login/?action=register' );}
if(!defined( "WEBTECHGLOBAL_LOGIN" ) ){define( "WEBTECHGLOBAL_LOGIN", 'http://www.webtechglobal.co.uk/login/' );}
if(!defined( "WEBTECHGLOBAL_YOUTUBE" ) ){define( "WEBTECHGLOBAL_YOUTUBE", 'https://www.youtube.com/user/WebTechGlobal' );}

// require very common classes and finally the main class for loading the plugin                                                   
require_once( WTG_CSV2POST_ABSPATH . 'classes/class-wpdb.php' );
require_once( WTG_CSV2POST_ABSPATH . 'classes/class-log.php' );
require_once( WTG_CSV2POST_ABSPATH . 'classes/class-configuration.php' );
require_once( WTG_CSV2POST_ABSPATH . 'classes/class-csv2post.php' );

// call key methods for this package, remove each method that is not required when building a new plugin
$CSV2POST = new CSV2POST();
$CSV2POST->custom_post_types();

// localization
function csv2post_textdomain() {
    load_plugin_textdomain( 'csv2post', false, dirname( plugin_basename( __FILE__ ) ) . '/languages/' ); 
}
add_action( 'plugins_loaded', 'csv2post_textdomain' );                                                                                                       
?>